The reason is keep compatibility without need to update the shell to a new version of gjs... So, you can controlled then when you want to switch to a...